commit:     9ef2760a90d3676be2a47c98eed32f555924c044
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sun Sep  8 10:44:42 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sun Sep  8 10:44:57 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ef2760a

sys-libs/libhugetlbfs: Removed old

Package-Manager: Portage-2.3.75, Repoman-2.3.17
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-libs/libhugetlbfs/Manifest                 |   1 -
 sys-libs/libhugetlbfs/libhugetlbfs-2.20.ebuild | 166 -------------------------
 sys-libs/libhugetlbfs/metadata.xml             |   3 -
 3 files changed, 170 deletions(-)

diff --git a/sys-libs/libhugetlbfs/Manifest b/sys-libs/libhugetlbfs/Manifest
index 24a91fd064f..4ded3f0740b 100644
--- a/sys-libs/libhugetlbfs/Manifest
+++ b/sys-libs/libhugetlbfs/Manifest
@@ -1,3 +1,2 @@
-DIST libhugetlbfs-2.20.tar.gz 186750 BLAKE2B 
758482a41254d6d14795efdfb2959248af2ff00bc6cafbae9b2002b7eaa50921a72ef928910bc0d2061a414e9c73346848eead108af077c96429870c734495aa
 SHA512 
817fca3f8e3b127b9b877e0a03d0a94bf0c3ec481d3becf995986ce6ae0532629c5460100eb9f2ef3452ed59a3b9d3ac8362df8f87b387803c36d35ab7af0902
 DIST libhugetlbfs-2.21.tar.gz 173052 BLAKE2B 
a65fdeee3ed9ad8cb69f772847646befbf5deef0b82d6cb7338e5ff448d5c2461ceb1e381b9515e79f4243482589bb0203874cc52e5c8c6d98667df4eacffa8b
 SHA512 
87fd95a826bedc2c53b1aa440f5db7ff3ece482d520545b597d4d1231cf84276103c312899b812166872444331bc7b6f1692f0d3b7cbff691efdcf9c2e99b1d0
 DIST libhugetlbfs-2.22.tar.gz 175099 BLAKE2B 
e67a6a678065b10492d510b733b7c6e2926f4f01dd741d49f6e76cedde002fa81d7dad6a6fd8922443c6aacd527c9b3df35f84b8da7332c04e3fcf8c52e23084
 SHA512 
7f38f9fa576841f36c7cd5192a9ee3f79b275b7b64d7e2a838a43636489cf88627bdba3a045d6b3302a4a509cf64627972b569b4c2c3c4fe05d5aa4ae1d66fd8

diff --git a/sys-libs/libhugetlbfs/libhugetlbfs-2.20.ebuild 
b/sys-libs/libhugetlbfs/libhugetlbfs-2.20.ebuild
deleted file mode 100644
index c3c800361c4..00000000000
--- a/sys-libs/libhugetlbfs/libhugetlbfs-2.20.ebuild
+++ /dev/null
@@ -1,166 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="5"
-
-PYTHON_COMPAT=( python2_7 )
-
-inherit eutils multilib toolchain-funcs perl-functions python-any-r1
-
-DESCRIPTION="easy hugepage access"
-HOMEPAGE="https://github.com/libhugetlbfs/libhugetlbfs";
-SRC_URI="https://github.com/libhugetlbfs/libhugetlbfs/archive/${PV}.tar.gz -> 
${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~s390 ~x86"
-IUSE="perl static-libs test"
-
-DEPEND="test? ( ${PYTHON_DEPS} )"
-RDEPEND="perl? ( dev-lang/perl:= )"
-
-src_prepare() {
-       perl_set_version
-
-       epatch "${FILESDIR}"/${PN}-2.9-build.patch #332517
-       epatch "${FILESDIR}"/${PN}-2.20-noexec-stack.patch
-       epatch "${FILESDIR}"/${PN}-2.6-fixup-testsuite.patch
-       sed -i \
-               -e '/^PREFIX/s:/local::' \
-               -e '1iBUILDTYPE = NATIVEONLY' \
-               -e '1iV = 1' \
-               -e '/gzip.*MANDIR/d' \
-               -e "/^LIB\(32\)/s:=.*:= $(get_libdir):" \
-               -e '/^CC\(32\|64\)/s:=.*:= $(CC):' \
-               -e "/^PMDIR = .*\/perl5\/TLBC/s::PMDIR = ${VENDOR_LIB}\/TLBC:" \
-               Makefile || die "sed failed"
-       if [ "$(get_libdir)" == "lib64" ]; then
-               sed -i \
-                       -e "/^LIB\(32\)/s:=.*:= lib32:" \
-                               Makefile
-       fi
-
-       # Tarballs from github don't have the version set.
-       # https://github.com/libhugetlbfs/libhugetlbfs/issues/7
-       [[ -f version ]] || echo "${PV}" > version
-}
-
-src_compile() {
-       tc-export AR
-       emake CC="$(tc-getCC)" libs tools
-}
-
-src_install() {
-       default
-       use static-libs || rm -f "${ED}"/usr/$(get_libdir)/*.a
-       rm "${ED}"/usr/bin/oprofile* || die
-       if ! use perl ; then
-               rm -r \
-                       "${ED}"/usr/bin/cpupcstat \
-                       "${ED}"/usr/share/man/man8/cpupcstat.8 \
-                       "${ED}/${VENDOR_LIB}" \
-                       || die
-       fi
-}
-
-src_test_alloc_one() {
-       hugeadm="$1"
-       sign="$2"
-       pagesize="$3"
-       pagecount="$4"
-       ${hugeadm} \
-               --pool-pages-max ${pagesize}:${sign}${pagecount} \
-       && \
-       ${hugeadm} \
-               --pool-pages-min ${pagesize}:${sign}${pagecount}
-       return $?
-}
-
-# die is NOT allowed in this src_test block after the marked point, so that we
-# can clean up memory allocation. You'll leak at LEAST 64MiB per run otherwise.
-src_test() {
-       [[ $UID -eq 0 ]] || die "Need FEATURES=-userpriv to run this testsuite"
-       einfo "Building testsuite"
-       emake -j1 tests || die "Failed to build tests"
-
-       hugeadm='obj/hugeadm'
-       allocated=''
-       rc=0
-       # the testcases need 64MiB per pagesize.
-       MIN_HUGEPAGE_RAM=$((64*1024*1024))
-
-       einfo "Planning allocation"
-       PAGESIZES="$(${hugeadm} --page-sizes-all)"
-
-       # Need to do this before we can create the mountpoints.
-       for pagesize in ${PAGESIZES} ; do
-               # The kernel depends on the location :-(
-               mkdir -p /var/lib/hugetlbfs/pagesize-${pagesize}
-               addwrite /var/lib/hugetlbfs/pagesize-${pagesize}
-       done
-       addwrite /proc/sys/vm/
-       addwrite /proc/sys/kernel/shmall
-       addwrite /proc/sys/kernel/shmmax
-       addwrite /proc/sys/kernel/shmmni
-
-       einfo "Checking HugeTLB mountpoints"
-       ${hugeadm} --create-mounts || die "Failed to set up hugetlb 
mountpoints."
-
-       # -----------------------------------------------------
-       # --------- die is unsafe after this point. -----------
-       # -----------------------------------------------------
-
-       einfo "Starting allocation"
-       for pagesize in ${PAGESIZES} ; do
-               pagecount=$((${MIN_HUGEPAGE_RAM}/${pagesize}))
-               einfo "  ${pagecount} @ ${pagesize}"
-               addwrite /var/lib/hugetlbfs/pagesize-${pagesize}
-               src_test_alloc_one "$hugeadm" "+" "${pagesize}" "${pagecount}"
-               rc=$?
-               if [[ $rc -eq 0 ]]; then
-                       allocated="${allocated} ${pagesize}:${pagecount}"
-               else
-                       eerror "Failed to add ${pagecount} pages of size 
${pagesize}"
-               fi
-       done
-
-       einfo "Allocation status"
-       ${hugeadm} --pool-list
-
-       if [[ -n "${allocated}" ]]; then
-               # All our allocations worked, so time to run.
-               einfo "Starting tests"
-               cd "${S}"/tests
-               TESTOPTS="-t func"
-               case $ARCH in
-                       amd64|ppc64)
-                               TESTOPTS="${TESTOPTS} -b 64"
-                               ;;
-                       x86)
-                               TESTOPTS="${TESTOPTS} -b 32"
-                               ;;
-               esac
-               # This needs a bit of work to give a nice exit code still.
-               ./run_tests.py ${TESTOPTS}
-               rc=$?
-       else
-               eerror "Failed to make HugeTLB allocations."
-               rc=1
-       fi
-
-       einfo "Cleaning up memory"
-       cd "${S}"
-       # Cleanup memory allocation
-       for alloc in ${allocated} ; do
-               pagesize="${alloc/:*}"
-               pagecount="${alloc/*:}"
-               einfo "  ${pagecount} @ ${pagesize}"
-               src_test_alloc_one "$hugeadm" "-" "${pagesize}" "${pagecount}"
-       done
-
-       # ---------------------------------------------------------
-       # --------- die is safe again after this point. -----------
-       # ---------------------------------------------------------
-
-       return $rc
-}

diff --git a/sys-libs/libhugetlbfs/metadata.xml 
b/sys-libs/libhugetlbfs/metadata.xml
index 534f22e29cc..bf4a9ce74b4 100644
--- a/sys-libs/libhugetlbfs/metadata.xml
+++ b/sys-libs/libhugetlbfs/metadata.xml
@@ -5,9 +5,6 @@
        <email>base-sys...@gentoo.org</email>
        <name>Gentoo Base System</name>
 </maintainer>
-<use>
-       <flag name="perl">Install the cpupcstat tool and some perl 
modules</flag>
-</use>
 <upstream>
        <remote-id type="github">libhugetlbfs/libhugetlbfs</remote-id>
        <remote-id type="sourceforge">libhugetlbfs</remote-id>

Reply via email to